Package org.apache.cxf.configuration.jsse

# Class TLSClientParametersConfig

java.lang.Object
org.apache.cxf.configuration.jsse.TLSClientParametersConfig

public final class TLSClientParametersConfig extends Object
This class provides the TLSClientParameters that programmatically configure a HTTPConduit. It is initialized with the JAXB type TLSClientParametersType that was used in the Spring configuration of the http-conduit bean.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `TLSClientParametersConfig.TLSClientParametersTypeInternal`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Object`
  `createTLSClientParameters(String s)`
  `static TLSClientParameters`
  `createTLSClientParametersFromType(org.apache.cxf.configuration.security.TLSClientParametersType params)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### createTLSClientParametersFromType

    public static TLSClientParameters createTLSClientParametersFromType(org.apache.cxf.configuration.security.TLSClientParametersType params) throws GeneralSecurityException, IOException
    Throws:
      `GeneralSecurityException`
      `IOException`

  - ### createTLSClientParameters

    public static Object createTLSClientParameters(String s)